Bug 129840 - Provisioning using defined NIC info macros produce unexpected results
Provisioning using defined NIC info macros produce unexpected results
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Michael Mráka
Jan Hutař
Depends On:
Blocks: 448773 456985
  Show dependency treegraph
Reported: 2004-08-13 03:42 EDT by Dean Samuels
Modified: 2010-10-21 22:35 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-22 09:34:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dean Samuels 2004-08-13 03:42:00 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7)
Gecko/20040707 Firefox/0.9.2

Description of problem:
Using the rhn.system.net_interface.ip_address(eth_device) macro in
provisioning will pad any single digit in the quad notation IP address
for an interface with a preceeding 0.  So any given quad will be at
least two digits in length after provisioning.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Set /etc/sysconfig/network-scripts/ifcfg-<device> to be provisioned
2. Use macro rhn.system.net_interface.ip_address(device) for
IPADDRESS= directive
3. Provision RHN satellite registered client system, using
'rhncfg-client get'

Actual Results:  IPADDRESS= directive in
/etc/sysconfig/network-scripts/ifcfg-<device> will have a 0 prefix for
any quad member that is a single digit.  eg if current IP assigned to
eth0 interface is, then after provisioning file, IPADDRESS
will be

Expected Results:  IPADDRESS= should be exact IP address currently
assigned to interface.

Additional info:
Comment 2 Debbie McGrath 2005-05-03 11:39:46 EDT
Reassigned based on 4/27 RHN 400 status meeting.
Comment 8 Red Hat Bugzilla 2007-10-25 20:47:26 EDT
User jslagle@redhat.com's account has been closed
Comment 10 Michael Mráka 2008-06-10 09:31:18 EDT
Commited workaround for RHEL3 and RHEL4 (bug already fixed in >FC4, thus in 

Sending        up2date_client/hardware.py
Transmitting file data .
Committed revision 173785.
Comment 11 Michael Mráka 2008-06-12 06:24:41 EDT
This should be fixed in upstream; reverted previous svn commit and 
cloned original rhpl bug 157657 as RHEL4 rhpl bug 451002.
Comment 15 John Sefler 2009-08-13 10:46:49 EDT
This bug should be fixed upstream by bug 451002.
I updated the upstream bug's rhel4.9 flag to ?
It seems to me that the upstream fix has fallen off their radar, and will hopefully get back on their radar.

Although misleading, I am adding ClosedValid to the QA Whiteboard.

Note You need to log in before you can comment on or make changes to this bug.